require 'wda_lib'

iphone_testing = true
simulator_testing = true

thread_iphone = Thread.new{
  start_time = Time.now
  app = WDA.new(device_url: 'http://192.168.1.2:8100/')
  app.x
  app.status
  sleep 0.5
  app.launch_app('com.facebook.IntegrationApp')
  app.find(:xpath, "//XCUIElementTypeButton[@name='Scrolling']").click
  app.text('ScrollView').click
  app.text('7').scroll('down')
  app.text('7').scroll('down')
  app.text('7').scroll('up')
  app.swipe(180, 180, 330, 100)
  app.swipe(180, 180, 100, 330)
  app.button('Back').click
  app.x
  end_time = Time.now  
  p "Testing time: #{end_time-start_time}"
  iphone_testing = false
}

thread_simulator = Thread.new{
  start_time = Time.now
  sim = WDA.new
  sim.x
  sim.status
  sleep 0.5
  sim.launch_app('com.facebook.IntegrationApp')
  sim.find(:xpath, "//XCUIElementTypeButton[@name='Scrolling']").click
  sim.text('ScrollView').click
  sim.text('7').scroll('down')
  sim.text('7').scroll('down')
  sim.text('7').scroll('up')
  sim.swipe(180, 180, 330, 100)
  sim.swipe(180, 180, 100, 330)
  sim.button('Back').click
  sim.x
  end_time = Time.now  
  p "Testing time: #{end_time-start_time}"
  simulator_testing = false
}

while iphone_testing || simulator_testing do 
  sleep 5 
end
