#
# Created by Yi MIN<yi@zen.ly>
# Copyright © 2017 Zenly. All rights reserved.
#
class WDA
  module Custome

    # Go to home screen
    def homescreen
      post(@base_url + '/wda/homescreen')
    end

    # Same as homescreen, go to home screen
    def springboard
      homescreen
    end

    # Deactivate application for given time
    def pause(duration)
      post '/wda/deactivateApp', { duration: duration }
    end

    # Timeouts
    # @param duration [Float] the timeout in milliseconds
    # @return [void]
    def timeouts(duration)
      post '/timeouts', { type: 'xctevent', ms: duration }
    end

    # Dismiss keyboard
    def dismiss_keyboard
      post '/wda/keyboard/dismiss'
    end

    def double_tap_homebutton
      post(@base_url + '/doubleTapHomescreen')
    end

    def kill_app(app_name)
      double_tap_homebutton
      app_rect = xpath_search('Other', 'label', app_name).first.rect
      swipe(app_rect['x'] + 10, app_rect['x'] + 10, @win_y*4/5, @win_y/3)
      homescreen
    end  
  end
end