#
# Created by Yi MIN<yi@zen.ly>
# Copyright © 2017 Zenly. All rights reserved.
#
class WDA
  module Type
    def match(type)
      type = ('XCUIElementType'+type).downcase
      types = [
                "XCUIElementTypeAny",
                "XCUIElementTypeOther",
                "XCUIElementTypeApplication",
                "XCUIElementTypeGroup",
                "XCUIElementTypeWindow",
                "XCUIElementTypeSheet",
                "XCUIElementTypeDrawer",
                "XCUIElementTypeAlert",
                "XCUIElementTypeDialog",
                "XCUIElementTypeButton",
                "XCUIElementTypeRadioButton",
                "XCUIElementTypeRadioGroup",
                "XCUIElementTypeCheckBox",
                "XCUIElementTypeDisclosureTriangle",
                "XCUIElementTypePopUpButton",
                "XCUIElementTypeComboBox",
                "XCUIElementTypeMenuButton",
                "XCUIElementTypeToolbarButton",
                "XCUIElementTypePopover",
                "XCUIElementTypeKeyboard",
                "XCUIElementTypeKey",
                "XCUIElementTypeNavigationBar",
                "XCUIElementTypeTabBar",
                "XCUIElementTypeTabGroup",
                "XCUIElementTypeToolbar",
                "XCUIElementTypeStatusBar",
                "XCUIElementTypeTable",
                "XCUIElementTypeTableRow",
                "XCUIElementTypeTableColumn",
                "XCUIElementTypeOutline",
                "XCUIElementTypeOutlineRow",
                "XCUIElementTypeBrowser",
                "XCUIElementTypeCollectionView",
                "XCUIElementTypeSlider",
                "XCUIElementTypePageIndicator",
                "XCUIElementTypeProgressIndicator",
                "XCUIElementTypeActivityIndicator",
                "XCUIElementTypeSegmentedControl",
                "XCUIElementTypePicker",
                "XCUIElementTypePickerWheel",
                "XCUIElementTypeSwitch",
                "XCUIElementTypeToggle",
                "XCUIElementTypeLink",
                "XCUIElementTypeImage",
                "XCUIElementTypeIcon",
                "XCUIElementTypeScrollBar",
                "XCUIElementTypeSearchField",
                "XCUIElementTypeScrollView",
                "XCUIElementTypeStaticText",
                "XCUIElementTypeTextField",
                "XCUIElementTypeSecureTextField",
                "XCUIElementTypeDatePicker",
                "XCUIElementTypeTextView",
                "XCUIElementTypeMenu",
                "XCUIElementTypeMenuItem",
                "XCUIElementTypeMenuBar",
                "XCUIElementTypeMenuBarItem",
                "XCUIElementTypeMap",
                "XCUIElementTypeWebView",
                "XCUIElementTypeIncrementArrow",
                "XCUIElementTypeDecrementArrow",
                "XCUIElementTypeTimeline",
                "XCUIElementTypeRatingIndicator",
                "XCUIElementTypeValueIndicator",
                "XCUIElementTypeSplitGroup",
                "XCUIElementTypeSplitter",
                "XCUIElementTypeRelevanceIndicator",
                "XCUIElementTypeColorWell",
                "XCUIElementTypeHelpTag",
                "XCUIElementTypeMatte",
                "XCUIElementTypeDockItem",
                "XCUIElementTypeRuler",
                "XCUIElementTypeRulerMarker",
                "XCUIElementTypeGrid",
                "XCUIElementTypeLevelIndicator",
                "XCUIElementTypeCell",
                "XCUIElementTypeLayoutArea",
                "XCUIElementTypeLayoutItem",
                "XCUIElementTypeHandle",
                "XCUIElementTypeStepper",
                "XCUIElementTypeTab"
              ]
      types.select{|t|t.downcase == type.downcase}.first
    end
  end
end